Get Entitlements for User
GET /obp/v7.0.0/users/USER_ID/entitlements
OBPv4.0.0-getEntitlements Roles: CanGetEntitlementsForAnyUserAtAnyBank RoleEntitlementUser
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
JSON response body fields (5)
Example success response
{
"list": [
{
"entitlement_id": "",
"role_name": "",
"bank_id": "gh.29.uk",
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.